Newsgroups: alt.drugs,rec.drugs.misc

An old roomate of mine was telling me about a strange experience he had
recently.

He was camping and some guy drove and asked if he could share the
camping spot and help pay for it, since the lot was full.  He said
sure, whatever.

This guy he met was very pale, almost albino-looking.  He was also
bald.  He said he was bald because of cancer treatment.

Eventually, my friend went inside this dude's van and they smoked some
of his pot.  While smoking it, my friend said that this pale, bald
guy's eyes got really, really big, and he took on a very strange sort
of evil appearance.  He become extremeley afraid of this guy (even
though he was quite small and initially looked weak and harmless) and
he was convinced for some inexplicable reason that he was face to face
with Satan (at least at that time).  He was scared to death and all he
could think was he had to get out of that van and quick.

He can't explain what happened.  He is not at all religious, doesn't
believe in God or the Devil or anything like that, but he did during
this experience for some reason.